Mail archive
alpine-aports

[alpine-aports] [PATCH 3/6] testing/py-click-plugins: new aport

From: Trevor R.H. Clarke <trevor_at_notcows.com>
Date: Sun, 28 Feb 2016 20:54:50 -0500

https://github.com/click-contrib/click-plugins
An extension module for click to enable registering CLI commands via setuptools entry-points.
---
 testing/py-click-plugins/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-click-plugins/APKBUILD
diff --git a/testing/py-click-plugins/APKBUILD b/testing/py-click-plugins/APKBUILD
new file mode 100644
index 0000000..f3c89a8
--- /dev/null
+++ b/testing/py-click-plugins/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor_at_notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor_at_notcows.com>
+pkgname=py-click-plugins
+pkgver="1.0.3"
+pkgrel=0
+pkgdesc="An extension module for click to enable registering CLI commands via setuptools entry-points."
+url="https://github.com/click-contrib/click-plugins"
+arch="all"
+license="BSD"
+depends="python py-click"
+makedepends="py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install click-plugins --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 28 2016 - 20:54:50 GMT